# std::multimap<Key,T,Compare,Allocator>::size

From cppreference.com
< cpp‎ | container‎ | multimap

size_type size() const; |  | (until C++11)
size_type size() const noexcept; |  | (since C++11)

Returns the number of elements in the container, i.e. std::distance(begin(), end()).

### Parameters

(none)

### Return value

The number of elements in the container.

### Complexity

Constant.

### Example

The following code uses `size` to display the number of elements in a std::multimap:

Run this code

    #include <map>
    #include <iostream>

    int main()
    {
        std::multimap<int,char> nums {{1, 'a'}, {3, 'b'}, {5, 'c'}, {7, 'd'}};

        std::cout << "nums contains " << nums.size() << " elements.\n";
    }

Output:

    nums contains 4 elements.

### See also

empty | checks whether the container is empty (public member function)
max_size | returns the maximum possible number of elements (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/multimap/size&oldid=50593"